"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminClient = void 0;
const workflows_1 = require("../../protoc/workflows");
const hatchet_error_1 = __importDefault(require("../../util/errors/hatchet-error"));
class AdminClient {
    constructor(config, channel, factory) {
        this.config = config;
        this.client = factory.create(workflows_1.WorkflowServiceDefinition, channel);
    }
    put_workflow(workflow) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                yield this.client.putWorkflow({
                    opts: workflow,
                });
            }
            catch (e) {
                throw new hatchet_error_1.default(e.message);
            }
        });
    }
    schedule_workflow(workflowId, options) {
        try {
            this.client.scheduleWorkflow({
                workflowId,
                schedules: options === null || options === void 0 ? void 0 : options.schedules,
            });
        }
        catch (e) {
            throw new hatchet_error_1.default(e.message);
        }
    }
}
exports.AdminClient = AdminClient;
