import { ChannelCredentials } from 'nice-grpc';
import { z } from 'zod';
declare const ClientTLSConfigSchema: z.ZodObject<{
    tls_strategy: z.ZodOptional<z.ZodEnum<["tls", "mtls"]>>;
    cert_file: z.ZodOptional<z.ZodString>;
    ca_file: z.ZodOptional<z.ZodString>;
    key_file: z.ZodOptional<z.ZodString>;
    server_name: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    tls_strategy?: "tls" | "mtls" | undefined;
    cert_file?: string | undefined;
    ca_file?: string | undefined;
    key_file?: string | undefined;
    server_name?: string | undefined;
}, {
    tls_strategy?: "tls" | "mtls" | undefined;
    cert_file?: string | undefined;
    ca_file?: string | undefined;
    key_file?: string | undefined;
    server_name?: string | undefined;
}>;
export declare const ClientConfigSchema: z.ZodObject<{
    token: z.ZodString;
    tls_config: z.ZodObject<{
        tls_strategy: z.ZodOptional<z.ZodEnum<["tls", "mtls"]>>;
        cert_file: z.ZodOptional<z.ZodString>;
        ca_file: z.ZodOptional<z.ZodString>;
        key_file: z.ZodOptional<z.ZodString>;
        server_name: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        tls_strategy?: "tls" | "mtls" | undefined;
        cert_file?: string | undefined;
        ca_file?: string | undefined;
        key_file?: string | undefined;
        server_name?: string | undefined;
    }, {
        tls_strategy?: "tls" | "mtls" | undefined;
        cert_file?: string | undefined;
        ca_file?: string | undefined;
        key_file?: string | undefined;
        server_name?: string | undefined;
    }>;
    host_port: z.ZodString;
    log_level: z.ZodOptional<z.ZodEnum<["OFF", "DEBUG", "INFO", "WARN", "ERROR"]>>;
}, "strip", z.ZodTypeAny, {
    token: string;
    tls_config: {
        tls_strategy?: "tls" | "mtls" | undefined;
        cert_file?: string | undefined;
        ca_file?: string | undefined;
        key_file?: string | undefined;
        server_name?: string | undefined;
    };
    host_port: string;
    log_level?: "OFF" | "DEBUG" | "INFO" | "WARN" | "ERROR" | undefined;
}, {
    token: string;
    tls_config: {
        tls_strategy?: "tls" | "mtls" | undefined;
        cert_file?: string | undefined;
        ca_file?: string | undefined;
        key_file?: string | undefined;
        server_name?: string | undefined;
    };
    host_port: string;
    log_level?: "OFF" | "DEBUG" | "INFO" | "WARN" | "ERROR" | undefined;
}>;
export type ClientConfig = z.infer<typeof ClientConfigSchema> & {
    credentials?: ChannelCredentials;
};
export type ClientTLSConfig = z.infer<typeof ClientTLSConfigSchema>;
export {};
