import * as z from 'zod';
export declare const CreateStepSchema: z.ZodObject<{
    name: z.ZodString;
    parents: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    timeout: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name: string;
    parents?: string[] | undefined;
    timeout?: string | undefined;
}, {
    name: string;
    parents?: string[] | undefined;
    timeout?: string | undefined;
}>;
export type NextStep = {
    [key: string]: string;
};
interface ContextData<T = unknown> {
    input: T;
    parents: Record<string, any>;
    triggered_by_event: string;
}
export declare class Context<T = unknown> {
    data: ContextData<T>;
    controller: AbortController;
    constructor(payload: string);
    stepOutput(step: string): string;
    triggeredByEvent(): boolean;
    workflowInput(): any;
}
export interface CreateStep<T> extends z.infer<typeof CreateStepSchema> {
    run: (ctx: Context) => Promise<NextStep> | NextStep | void;
}
export {};
